package com.ruoyi.system.service.house;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.system.domain.house.HouseResource;
import com.ruoyi.system.domain.house.vo.HouseResourcePageQuery;

import java.util.List;

public interface HouseResourceService {

    void saveHouseResource(HouseResource houseResource);

    HouseResource queryHouseResourceById(String id);

    void updateHouseResource(HouseResource houseResource);

    void deleteHouseResourceById(String id);

    void batchSaveHouseResources(List<HouseResource> houseResources);

    IPage<HouseResource> pageHouseResources(HouseResourcePageQuery query);
}
